<template>
  <div class="news" id="news">
    <h2 class="news__title">Новости</h2>
    <ul class="news__list">
      <li class="news__card card" v-for="article in news" :key="article.id">
        <router-link
          class="card__link"
          :to="{ path: '/news/' + article.id }"
          append
        >
          <h3 class="card__title">{{ article.title }}</h3>
          <p class="card__text">{{ article.short_description }}</p>
        </router-link>
      </li>
    </ul>
  </div>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "NewsPage",
  data() {
    return {
      news: [],
    };
  },
  methods: {
    GetNews: function () {
      let api = "http://127.0.0.1:8000/api/Articles/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.news = response.data;
        })
        .catch((response) => {
          //handle error
          console.log(response);
        });
    },
  },
  mounted() {
    this.GetNews();
  },
};
</script>

<style scoped lang="scss">
$header-and-footer-background: #006d77;
$main-background: #caf0f8;
$card-background: #edf6f9;
$text: #000000;
$button: #ffc300;
$button-hover: #ffd60a;
$button-text: #006d77;
$border: #000000;

.news__title {
  margin: 20px 0;
  text-align: center;
}

.news__list {
  padding: 0;
  min-height: 70vh;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
}

.card {
  width: 570px;
  border: 3px solid #000000;
  border-radius: 20px;
  padding: 10px;
  margin: 20px 0;
  background-color: #edf6f9;
  height: 100%;
}

.card__link {
  text-decoration: none;
  color: #000000;
}

.card__title {
  margin-bottom: 30px;
  text-align: center;
}

.card__properties {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}

.card__img {
  max-width: 270px;
}

.card__properties-list {
  list-style: none;
}

.card__text {
  margin: 20px;
}

.card__description {
  margin: 10px 0 10px 25px;
}
</style>